com.verisign.epp.codec.fee.v23

## Class EPPFeeUpdate

- java.lang.Object
- - com.verisign.epp.codec.fee.v23.EPPFeeTransform
  - - com.verisign.epp.codec.fee.v23.EPPFeeUpdate

- All Implemented Interfaces:
    EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

      public class EPPFeeUpdate
      extends EPPFeeTransform

  Fee Update Extension that enables a client to pass the expected fee for the update command.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` XML local name for `EPPFeeUpdate`.
    `static java.lang.String` | `ELM_NAME` XML root tag for `EPPFeeUpdate`.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPFeeUpdate()` Default constructor for `EPPFeeUpdate`.
    `EPPFeeUpdate(EPPFeeValue aFee)` Constructor for `EPPFeeUpdate` that takes a single fee.
    `EPPFeeUpdate(EPPFeeValue aFee, java.lang.String aCurrency)` Constructor for `EPPFeeUpdate` that takes a single fee and the optional currency.
    `EPPFeeUpdate(java.util.List<EPPFeeValue> aFees, java.lang.String aCurrency)` Constructor for `EPPFeeUpdate` that takes all attributes.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `getLocalName()` Returns the local name "update" for the update extension.
    `java.lang.String` | `getNamespace()` Returns the XML namespace associated with the `EPPCodecComponent`.

    - ### Methods inherited from class com.verisign.epp.codec.fee.v23.EPPFeeTransform

      `addFee, clone, decode, encode, equals, getCurrency, getFees, hasCurrency, hasFees, setCurrency, setFees, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      XML local name for `EPPFeeUpdate`.
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML root tag for `EPPFeeUpdate`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPFeeUpdate

          public EPPFeeUpdate()

      Default constructor for `EPPFeeUpdate`.

    - #### EPPFeeUpdate

          public EPPFeeUpdate(EPPFeeValue aFee)

      Constructor for `EPPFeeUpdate` that takes a single fee.
      Parameters:
        `aFee` - A single fee value

    - #### EPPFeeUpdate

          public EPPFeeUpdate(EPPFeeValue aFee,
                              java.lang.String aCurrency)

      Constructor for `EPPFeeUpdate` that takes a single fee and the optional currency.
      Parameters:
        `aFee` - A single fee of the update command
        `aCurrency` - Currency of the fee

    - #### EPPFeeUpdate

          public EPPFeeUpdate(java.util.List<EPPFeeValue> aFees,
                              java.lang.String aCurrency)

      Constructor for `EPPFeeUpdate` that takes all attributes.
      Parameters:
        `aFees` - List of fees
        `aCurrency` - Currency of the fee

  - ### Method Detail

    - #### getLocalName

          protected java.lang.String getLocalName()

      Returns the local name "update" for the update extension.
      Specified by:
        `getLocalName` in class `EPPFeeTransform`
      Returns:
        Local name "update" for the update extension.

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Returns:
        XML namespace for the `EPPCodecComponent`.